package com.elab.spring.componts.config;

import com.elab.redis.componts.config.scope.RedisConfigRefreshHelper;

/**
 * redis的配置刷新
 *
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 */
public class RedisConfigRefresh implements ConfigRefresh {

    @Override
    public String get(String key) {
        return RedisConfigRefreshHelper.getInstance().get(key);
    }

    @Override
    public <T> T get(String key, Class<T> clazz) {
        return RedisConfigRefreshHelper.getInstance().get(key, clazz);
    }
}
